package editeur;

import java.awt.Point;

public class PointExistantException extends Exception {
	Point point;

	public PointExistantException(Point p) {
		this.point = p;
	}

	public Point point() {
		return point;
	}
	
	public String getMessage() {
		return "Impossible de créer un point près de ("+ point.x + "," + point.y+ ")";
	}
}
